/**
 * Tankerkönig API
 * API for getting real time gas prices from https://creativecommons.tankerkoenig.de. Real time gas price data is available under open data/open source license even for commercial use. Currently only prices for Germany are available.
 *
 * OpenAPI spec version: 4.0.6
 * Contact: info@tankerkoenig.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { StationTimes } from './stationTimes';

export interface OpeningTimesEntry { 
    days?: Array<OpeningTimesEntry.DaysEnum>;
    times?: Array<StationTimes>;
}
export namespace OpeningTimesEntry {
    export type DaysEnum = 'mon' | 'tue' | 'wed' | 'thu' | 'fri' | 'sat' | 'sun' | 'hol';
    export const DaysEnum = {
        Mon: 'mon' as DaysEnum,
        Tue: 'tue' as DaysEnum,
        Wed: 'wed' as DaysEnum,
        Thu: 'thu' as DaysEnum,
        Fri: 'fri' as DaysEnum,
        Sat: 'sat' as DaysEnum,
        Sun: 'sun' as DaysEnum,
        Hol: 'hol' as DaysEnum
    };
}